Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


roytam1

My build of New Moon (temp. name) a.k.a. Pale Moon for XP

Recommended Posts

5 minutes ago, Tangy said:

@ roytam1 : Both palemoon/newmoon links give a 404 - Not Found

 

Cheers

links are updated please reload this page for new links

Share this post


Link to post
Share on other sites

17 minutes ago, roytam1 said:

links are updated please reload this page for new links

I am afraid both links still give same error 404 not found.

Basilisk links work fine.

Cheers

Share this post


Link to post
Share on other sites
22 minutes ago, roytam1 said:

links are updated

Not the New Moon (PM28XP) ones... They point to versions 28.2.0a1, while on the server the appVersion is 28.3.0a1 (which is correct)...

Edited by VistaLover

Share this post


Link to post
Share on other sites
52 minutes ago, VistaLover said:

Not the New Moon (PM28XP) ones... They point to versions 28.2.0a1, while on the server the appVersion is 28.3.0a1 (which is correct)...

oh yeah, forgot to change version number in link. fixed.

  • Like 1

Share this post


Link to post
Share on other sites

Any love for bk55 fanboy?

  • Like 1
  • Upvote 1

Share this post


Link to post
Share on other sites
On 11/28/2018 at 9:19 PM, kitaro1 said:

In the basilisk, palemoon and mypal - from now on I do not want to run the google translator extension. It stopped working, The icon turns green and does not translate.

Yes, with NM28XP Browser, I see this same behavior for that same extension (the 'Red T' Google Translator one). It 'fails' and changes to a 'Green T' on any attempt to 'mark and translate' selected text. I suppose that I should be thankful that the FULL PAGE translation aspect of it is still working for me here.

Edited by TechnoRelic
  • Like 1

Share this post


Link to post
Share on other sites
9 hours ago, Dibya said:

Any love for bk55 fanboy?

don't know if I have enough time to port changes to it.

  • Like 1
  • Upvote 1

Share this post


Link to post
Share on other sites
12 hours ago, roytam1 said:

So is this Borealis and Interlink?

 

EDIT:  Never mind ....lol.  I see it inside the files now.

:)

 

Edited by Jody Thornton

Share this post


Link to post
Share on other sites
19 hours ago, roytam1 said:

New build of BOC/UXP for XP! ... Browser-only Suite Win32

https://o.rths.cf/boc-uxp/borealis.win32-20181201-9c5ff06-uxp-d7bb17571-xpmod.7z

https://github.com/gorhill/uBlock/releases

Okay, I got your (SeaMonkey) Borealis Browser working. BUT, I was NOT able to get any version of uBLOCK Origin to install on it as an ADD ON. With UBO, I tried (Firefox) versions 1.13.8, 1.13.6, 1.11.0, 1.10.0, 1.8.0, and they all failed to install. So, I gave up. Any help would be appreciated ... NM28XP working well here though, THANKS! :)

Edited by TechnoRelic

Share this post


Link to post
Share on other sites
3 hours ago, TechnoRelic said:

https://github.com/gorhill/uBlock/releases

Okay, I got your (SeaMonkey) Borealis Browser working. BUT, I was NOT able to get any version of uBLOCK Origin to install on it as an ADD ON. With UBO, I tried (Firefox) versions 1.13.8, 1.13.6, 1.11.0, 1.10.0, 1.8.0, and they all failed to install. So, I gave up. Any help would be appreciated ... NM28XP working well here though, THANKS! :)

Don't you have to go to GitHub to get the older XUL versions of uBlock now?

 

Share this post


Link to post
Share on other sites

@roytam1 -- @Jody Thornton <--

https://addons.thunderbird.net/en-US/seamonkey/extensions/

Actually, I can NOT get ANY EXTENSIONS at the above (approved) URL to install in the (RT) BorealisXP Browser. But I am NOT so clever at this matters either. I am NOT even clear as to what VERSION of SEAMONKEY that the (RT) BorealisXP Browser uses it. And when I view the EXTENSIONS at the above 'SeaMonkey Extensions' URL, I see all 'Red X' icons -- (x) -- next to all of the EXTENSIONS. Indicating that they will NOT install (I assume). Which is why that I am posting here.

https://github.com/gorhill/uBlock/releases

About 50% 'Scroll Down' at the above URL, is "firefox-legacy-1.16.4.5" listed. Which, that Extension DOES successfully install in the (RT) NM28XP Browser. But, it does FAIL for the (RT) BorealisXP Browser. And again, I cannot get ANY of these UBO Extensions (labeled LEGACY or otherwise) to install in (RT) BorealisXP Browser.

Share this post


Link to post
Share on other sites
31 minutes ago, TechnoRelic said:

@roytam1 -- @Jody Thornton <--

https://addons.thunderbird.net/en-US/seamonkey/extensions/

Actually, I can NOT get ANY EXTENSIONS at the above (approved) URL to install in the (RT) BorealisXP Browser. But I am NOT so clever at this matters either. I am NOT even clear as to what VERSION of SEAMONKEY that the (RT) BorealisXP Browser uses it. And when I view the EXTENSIONS at the above 'SeaMonkey Extensions' URL, I see all 'Red X' icons -- (x) -- next to all of the EXTENSIONS. Indicating that they will NOT install (I assume). Which is why that I am posting here.

https://github.com/gorhill/uBlock/releases

About 50% 'Scroll Down' at the above URL, is "firefox-legacy-1.16.4.5" listed. Which, that Extension DOES successfully install in the (RT) NM28XP Browser. But, it does FAIL for the (RT) BorealisXP Browser. And again, I cannot get ANY of these UBO Extensions (labeled LEGACY or otherwise) to install in (RT) BorealisXP Browser.

you have to add section to install.rdf in order to install in borealis:

    <em:targetApplication>
      <Description>
        <em:id>{a3210b97-8e8a-4737-9aa0-aa0e607640b9}</em:id>
        <em:minVersion>1.0.0a1</em:minVersion>
        <em:maxVersion>1.0.0a1</em:maxVersion>
      </Description>
    </em:targetApplication>

 

  • Like 1
  • Upvote 1

Share this post


Link to post
Share on other sites

Will Roytam1 browsers work on vanilla Windows 2000 (with SP4 and the post-SP5 update that someone made on here)?  I was going to set up a Dell D610 Notebook with it, instead of Puppy Linux, and sell it.

:)

 

Edited by Jody Thornton

Share this post


Link to post
Share on other sites
On 12/2/2018 at 4:08 AM, roytam1 said:

you have to add section to install.rdf in order to install in borealis:


    <em:targetApplication>
      <Description>
        <em:id>{a3210b97-8e8a-4737-9aa0-aa0e607640b9}</em:id>
        <em:minVersion>1.0.0a1</em:minVersion>
        <em:maxVersion>1.0.0a1</em:maxVersion>
      </Description>
    </em:targetApplication>

 

Okay, SUCCESS here. With proper modification of INSTALL.RDF file (of the EXTENSION), I got this UBO Extension to install in the (RT) BorealisXP Browser --> uBlock0.firefox-legacy-1.16.4.5.xpi

https://perishablepress.com/hacking-firefox-extensions/

This above URL does describe the process rather well. Be SURE that you use ZIP compression when you 'recreate' your modified *.XPI file EXTENSION (archive). I used the 7ZIP program for this. And it suggested (default likely) to use 7z compression, which that FAILED to install properly (not surprisingly). Made SURE of ZIP compression on my next try for *.XPI creation, and no problem. THANKS RT !!! :)

Added: Additionally -- with the help of @VistaLover -- I was also able to get uMATRIX 1.1.4 Extension (LEGACY) to install in the (RT) BorealisXP Browser. 'VL' was able to suggest the proper TEMPLATE for addition, which varied slightly from that which worked for uBLOCK Origin -->

        <!-- Borealis Navigator (uMATRIX 1.1.4) -->
        <targetApplication>
            <r:Description>
                <id>{a3210b97-8e8a-4737-9aa0-aa0e607640b9}</id>
                <minVersion>1.0.0a1</minVersion>
                <maxVersion>1.*</maxVersion>
            </r:Description>
        </targetApplication>

You add this 'CODE' above at the end of the INSTALL.RDF file, 'nested' properly.

I saw a Public Message from GORHILL (author of UBO and uMATRIX). He said that IF you wanted the 'Touch to Block' feature of UBO (create custom filter), and also to use uMATRIX, then just DISABLE the EASYLIST and similar 'LISTS' like that for UBO. So, only use the (custom) 'MY FILTERS' for UBO. And then, you can run *both* the UBO and uMATRIX at the same time, with reasonable CPU usage. Just offered as information, as advise from GORHILL himself. :)

Finally, I likely had a bit of 'trouble' with 'hidden invisible junk characters' that were perhaps COPIED from the CODE here. I solved this by doing a PASTE into NOTEPAD.EXE, with it in NO WRAP mode, and did SAVE the (*.XPI) CODE. THEN, I did open the full *.XPI file in WORDPAD.EXE (again NO WRAP was active), and did COPY / PASTE into the *.XPI as needed, and did SAVE that. On my first try, it did FAIL, and NOT quite sure why. But I *suspect* that 'hidden invisible garbage' type characters were present. 'VL' (user here) did advise me to use a real 'Programmers' type TEXT EDITOR (PSPad or NOTEPAD++ for examples). And then I would not see these problems as I did. Seems GOOD advise.

Edited by TechnoRelic

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×